{"title":"Create currencies (v1.0)","url":"https://jonas-paprotka.de/docs/dev-itpro/api-reference/v1.0/api/dynamics_create_currencies/","by":"JOP-AL","license":"Copyright (c) Microsoft Corporation. CC BY 4.0, https://creativecommons.org/licenses/by/4.0/; code samples MIT. From https://learn.microsoft.com/en-us/dynamics365/business-central/dev-itpro/api-reference/v1.0/api/dynamics_create_currencies, MicrosoftDocs/dynamics365smb-devitpro-pb at 828b6ee (2026-11-19). Changed: includes filled in, links to this site, and for agents shortened without dropping a fact.","credit":"Microsoft Corporation, CC BY 4.0","origin":"https://learn.microsoft.com/en-us/dynamics365/business-central/dev-itpro/api-reference/v1.0/api/dynamics_create_currencies","source":{"name":"Business Central developer and IT pro docs","repo":"https://github.com/MicrosoftDocs/dynamics365smb-devitpro-pb","commit":"828b6ee72fcd75755627cd6011f3d20899217ab2","date":"2026-11-19"},"checked":"2026-11-19","description":"(v1.0) Creates a currency object in Dynamics 365 Business Central.","date":"2024-05-01","meta":{"topic":"reference"},"outline":[{"level":1,"title":"Create currencies (v1.0)","slug":"create-currencies-v10","at":0,"chars":1603},{"level":2,"title":"HTTP request (v1.0)","slug":"http-request-v10","at":73,"chars":211},{"level":2,"title":"Request headers (v1.0)","slug":"request-headers-v10","at":284,"chars":109},{"level":2,"title":"Request body (v1.0)","slug":"request-body-v10","at":393,"chars":95},{"level":2,"title":"Response (v1.0)","slug":"response-v10","at":488,"chars":132},{"level":2,"title":"Example (v1.0)","slug":"example-v10","at":620,"chars":756},{"level":2,"title":"Related information","slug":"related-information","at":1376,"chars":227}],"text":"# Create currencies (v1.0)\nCreate a currency object in Business Central.\n## HTTP request (v1.0)\nReplace the URL prefix for Business Central depending on environment following the guideline<../endpoints-apis-for-dynamics>.\n```\nPOST businesscentralPrefix/companies({id})/currencies\n```\n## Request headers (v1.0)\nHeader|Value\nAuthorization|Bearer {token}. Required.\nContent-Type|application/json\n## Request body (v1.0)\nIn the request body, supply a JSON representation of currencies object.\n## Response (v1.0)\nIf successful, this method returns ```201 Created``` response code and a currencies object in the response body.\n## Example (v1.0)\nRequest\nHere is an example of a request.\n```json\nPOST https://{businesscentralPrefix}/api/v1.0/companies({id})/currencies\nContent-type: application/json\n\n{\n  \"code\": \"US\",\n  \"displayName\": \"US Dollar\",\n  \"symbol\": \"$\",\n  \"amountDecimalPlaces\": \"2:2\",\n  \"amountRoundingPrecision\": 0.01\n}\n```\nResponse\nHere is an example of the response.\n> NOTE\n> The response object shown here may be truncated for brevity. All of the properties will be returned from an actual call.\n```json\nHTTP/1.1 201 Created\nContent-type: application/json\n\n{\n  \"id\": \"id-value\",\n  \"code\": \"US\",\n  \"displayName\": \"US Dollar\",\n  \"symbol\": \"$\",\n  \"amountDecimalPlaces\": \"2:2\",\n  \"amountRoundingPrecision\": 0.01,\n  \"lastModifiedDateTime\": \"2017-03-22T21:05:09.002Z\"\n}\n```\n## Related information\nTips for working with the APIs<../../../developer/devenv-connect-apps-tips>\n../resources/dynamics_currencies\ndynamics_currencies_get\nPatch Currencies<dynamics_currencies_update>\ndynamics_currencies_delete"}